<?php
ob_start();
/* Classe: Conexao
   Objetivo: Estabelecer uma conexao com o banco de dados, usando o padrão de projeto Singleton.
   Autor: Joao Leno
   Data: 02/08/2015
*/  
class ConexaoMenu {   
  private static $conexao;
  
  const INIFILE = './config/database.ini';
  private $iniData;

  /* Metódo Construtor.
      Objetivo: Realizar a leitura do arquivo database.ini. que possui as configurações do banco de dados.
  */ 
  function __construct() {
 
  } 
  
    public function conectar(){
       try{
          if (!isset(self::$conexao)): 
   
    //  self::$conexao = new pdo("mysql:host=aa68qpe3kz7xrv.chrus9xal2ax.eu-west-1.rds.amazonaws.com;dbname=ebdb","admin","luna0712",array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8'));
              self::$conexao = new pdo("mysql:host=mysql.sistemascontrol.com.br;dbname=sistemascontro10","sistemascontro10","cracatua10",array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8'));// or print (mysql_error());
                                                                //print "Conexão Efetuada com sucesso!"; ;
          self::$conexao->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                self::$conexao->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_OBJ);
          endif;           

        }catch(PDOException $excecao){
          echo "Erro ao acessar o banco de dados: ".$excecao->getMessage();
        }
        return self::$conexao;
    }
}
?>